Package de.willuhn.jameica.hbci.server

# Class VersionUtil

java.lang.Object
de.willuhn.jameica.hbci.server.VersionUtil

public class VersionUtil extends Object
Statische Hilfsklasse zum Auslesen von Versionsnummern.

## Constructor Summary

Constructors
Constructor
Description
`VersionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`delete(HBCIDBService service, String name)`
Loescht die Version.
`static int`
`deleteAll(HBCIDBService service, String prefix)`
Loescht alle Versionen, deren Namen mit dem angegebenen Prefix beginnt.
`static Version`
`getVersion(HBCIDBService service, String name)`
Liefert die Version zum angegebenen Namen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VersionUtil

public VersionUtil()

## Method Details

### getVersion

public static Version getVersion(HBCIDBService service, String name) throws RemoteException, de.willuhn.util.ApplicationException
Liefert die Version zum angegebenen Namen. Wenn das Versions-Objekt noch nicht existiert, wird es automatisch erstellt.

Parameters:
  `service` - der Datenbank-Service.
  `name` - Name der Version.
Returns:
  die Version.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### deleteAll

public static int deleteAll(HBCIDBService service, String prefix) throws RemoteException
Loescht alle Versionen, deren Namen mit dem angegebenen Prefix beginnt.

Parameters:
  `service` - der Datenbank-Service.
  `prefix` - der prefix.
Returns:
  die Anzahl der geloeschten Datensaetze.
Throws:
  `RemoteException`

### delete

public static int delete(HBCIDBService service, String name) throws RemoteException
Loescht die Version.

Parameters:
  `service` - der Datenbank-Service.
  `name` - der Name der Version.
Returns:
  die Anzahl der geloeschten Datensaetze.
Throws:
  `RemoteException`